Track Transaction
curl --request POST \
--url https://router-api.initia.xyz/v2/tx/track \
--header 'Content-Type: application/json' \
--data '
{
"tx_hash": "ABCDEF1234567890...",
"chain_id": "interwoven-1"
}
'import requests
url = "https://router-api.initia.xyz/v2/tx/track"
payload = {
"tx_hash": "ABCDEF1234567890...",
"chain_id": "interwoven-1"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({tx_hash: 'ABCDEF1234567890...', chain_id: 'interwoven-1'})
};
fetch('https://router-api.initia.xyz/v2/tx/track', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tx_hash": "87782A6A7C4EF4232FFC5B7C8204398AE73870049D8DC58E0146EFCAC3901979",
"explorer_link": "https://scan.initia.xyz/strat-1/txs/87782A6A7C4EF4232FFC5B7C8204398AE73870049D8DC58E0146EFCAC3901979"
}Tracking Transactions
Track Transaction
Registers a transaction for cross-chain tracking. Call this once with the transaction hash and chain ID immediately after broadcasting. This is required before you can poll the transaction status.
After calling this endpoint, use Get Transaction Status (GET /v2/tx/status) to poll for progress updates.
POST
/
v2
/
tx
/
track
Track Transaction
Body
application/json
Was this page helpful?
⌘I